@import "../../../styles/variables.scss";

$tablet: "only screen and (min-width: 769px) and (max-width: 991px)";
$phone-big: "only screen and (max-width: 768px)";
$theme-btn: #eb1963;
$theme-color: #eb1963;

.home-container {
  margin-top: -60px;
}

.landing-container {
  align-items: center;
  background-color: #36367f;
  background-image: url("https://res.cloudinary.com/dysm3stwj/image/upload/q_auto/v1535786203/ffl/ffl-bg-full.png");
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  height: 100vh;
  position: relative;
  width: 100%;

  @media only screen and (max-width: 768px) {
    background-image: url("https://res.cloudinary.com/dysm3stwj/image/upload/q_auto/v1535786204/ffl/ffl-bg-mobile.png");
  }

  @media only screen and (max-width: 642px) {
    background-image: url("https://res.cloudinary.com/dysm3stwj/image/upload/q_auto/v1535786203/ffl/ffl-bg-full.png");
  }

  @media only screen and (max-width: 475px) {
    background-image: url("https://res.cloudinary.com/dysm3stwj/image/upload/q_auto/v1535786204/ffl/ffl-bg-mobile.png");
  }
}

.landing-title-container {
  p {
    @media only screen and (min-width: 768px) {
      text-align: left;
    }
  }

  @media only screen and (max-width: 475px) {
    margin: 0 auto;
    width: 80%;
  }

  @media only screen and (min-width: 768px) {
    margin-left: 5%;
    text-align: left;
    width: 60%;
    z-index: 1;
  }
}

.page-title-container,
.page-subtitle-container {
  text-align: center;

  @media only screen and (max-width: 768px) {
    display: none;
  }
}

.page-title-container {
  margin-bottom: 25px;
}

.link-container {
  margin-top: 10px;

  @media only screen and (max-width: 475px) {
    text-align: center;
  }
}

.page-info-container {
  color: $global-white;
  font-size: 30px;
  margin-top: 100px;

  @media only screen and (max-width: 475px) {
    color: $global-white;
    font-size: 25px;
    margin-top: 30px;
  }
}

.page-info {
  color: $global-white;
  font-size: 20px;

  &.sub-title {
    color: #9aa4e3;
    font-size: 18px;
    margin-bottom: 0;

    @media only screen and (max-width: 475px) {
      font-size: 14px;
    }
  }
}

.txt-highlight {
  color: $theme-color;
  // font-size: 30px;

  &.link {
    &:hover {
      color: $theme-color;
    }
  }
}

.sub-title .page-subtitle-container {
  margin: 0 auto;
  width: 80%;

  @media only screen and (min-width: 768px) {
    width: 100%;
  }
}

.page-title {
  font-size: 25px;

  @media only screen and (min-width: 768px) {
    font-size: 38px;
  }
}

.sub-title {
  color: #9aa4e3;

  @media only screen and (min-width: 768px) {
    font-size: 20px;
  }
}

.scroll-view-container {
  bottom: 40px;
  position: absolute;
  text-align: center;
  width: 100%;
}

.ctrl-icon {
  color: #7f7dd1;
  font-size: 30px;
}

.why-container,
.how-to-container {
  width: 100%;
}

.why-container {
  margin-bottom: 50px;
  padding: 30px;

  @media only screen and (min-width: 768px) {
    margin-bottom: 0;
  }
}

.why-container-title {
  text-align: center;
}

.why-item {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 15px;
}

.wi-icon-container {
  align-items: center;
  background-color: #fff;
  border-radius: 50%;
  box-shadow: 0 18px 133px 0 rgba(110, 110, 110, .16);
  display: flex;
  height: 180px;
  justify-content: center;
  margin-bottom: 25px;
  width: 180px;
}

.wi-icon {
  height: 100px;
  width: 100px;

  &.money-icon {
    width: 105px;
  }

  &.badge-icon {
    width: 90px;
  }
}

.wi-icon-2 {
  background-repeat: no-repeat !important;
  background-size: contain !important;
  height: 122px;
  margin: 10px auto;
  width: 120px;
}

.wi-title {
  font-size: 25px;

  @media only screen and (max-width: 768px) {
    font-size: 19px;
  }
}

.wi-subtitle-container {
  margin-top: 10px;
  text-align: center;
}

.wi-subtitle {
  font-size: 11px;
}

.why-items-container {
  display: flex;
  flex-direction: column;

  @media only screen and (min-width: 768px) {
    flex-direction: row;
  }
}

.how-to-container {
  background-color: #f7f7f7;
  height: 100vh;
  padding: 30px;
}

.ht-container-title {
  text-align: center;
}

.ht-subtitle {
  margin-top: 20px;
  text-align: center;
}

.ht-number {
  background-color: #0c0b2a;
  border-radius: 50%;
  color: white;
  font-size: 18px;
  font-weight: 600;
  height: 35px;
  line-height: 35px;
  margin: 10px auto;
  text-align: center;
  width: 35px;
}

.steps {
  margin: 80px auto;
  max-width: 900px;
  text-align: center;

  @media only screen and (min-width: 768px) {
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: space-around;

    &.reverse {
      flex-direction: row-reverse;
    }

    .wi-icon-2 {
      margin: 0;
    }
  }
}

.step-grp-container {
  display: flex;
  flex-direction: column;

  @media only screen and (min-width: 768px) {
    width: 40%;
  }
}

.hiw-image {
  @media only screen and (min-width: 768px) {
    display: flex;
    justify-content: center;
    width: 40%;
  }
}

.hiw-dec-container {
  margin-top: 10px;
}

.btn-container {
  margin: 0 auto;
  text-align: center;
}

.sign-in-box {
  margin: 10px auto;
  text-align: center;
}

.l-page-cta {
  margin-top: 40px;
}

.baller-img {
  display: none;
  position: absolute;
  right: 5%;
  width: 40%;

  @media only screen and (min-width: 768px) {
    display: block;
  }
}

.landing-content-container {
  align-items: center;
  display: flex;
  height: inherit;
  position: relative;
  width: inherit;
}

.base-btn {
  border-radius: 20px;
  color: white;
  height: 40px;
  min-width: 200px;
  padding: 8px;
}

.auth-form-button {
  @extend .base-btn;
  // min-width: 100px;
  background-color: $theme-btn;
  border: none !important;

  &:hover {
    background-color: darken($theme-btn, .8);
  }

  &:focus {
    background-color: $theme-btn;
  }

  &.sm-btn {
    width: 100px !important;
  }
}

.signup-link {
  color: $theme-btn;
}

.page-button-cta {
  margin-top: 30px;
  text-align: center;

  @media only screen and (min-width: 768px) {
    display: none;
  }
}

.cta-option-text {
  margin: 10px 0;
}
